Skip to main content
GET
/
v2
/
mining
/
global-commodity
Global Commodity Data
curl --request GET \
  --url https://api.sectors.app/v2/mining/global-commodity/ \
  --header 'Authorization: <api-key>'
[
  {
    "country": "Australia",
    "commodity_type": "Gold",
    "resources_reserves": 55000000,
    "resources_reserves_share": 18.5,
    "resources_reserves_unit": "ton",
    "export_import_usd": {
      "2023": {
        "export": 20.9,
        "import": 1.2
      }
    },
    "production_volume": {
      "2023": 296.1,
      "2024": 284
    },
    "production_share": {
      "2023": 8.13,
      "2024": 7.76
    },
    "production_volume_unit": "ton"
  }
]

Authorizations

Authorization
string
header
required

API key passed directly in the Authorization header (without Bearer prefix).

Query Parameters

commodity_type
string

Filter by commodity type. Required if country not provided.

country
string

Filter by country (exact match, e.g., Australia). Required if commodity_type not provided.

limit
integer
default:20

Number of results to return. Maximum: 30.

Response

List of global commodity data records.

{key}
any